/*
 * cmtitem.c: cMenuCommentItem is a class that holds the comment of a media for display
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#include "cmtitem.h"
#include "tools.h"

cMenuCommentItem::cMenuCommentItem(char *p) 
: comment(0)	
{_
  if(p) comment = strdup(p);	
}

cMenuCommentItem::~cMenuCommentItem() 
{_
  SLDEBUG("# destructor of cMenuCommentItem");
  if(comment) free(comment);
}

void cMenuCommentItem::Compile()
{_
	SetText(comment);
}
